*     Dr. Rainer Sieger, University of Bremen
*     rsieger@pangaea.de
*     18.5.1999


      subroutine glocke

      IMPLICIT NONE
      write(*,1)char(7)
1     format(' ',a1,$)
      return
      end

************************************************************************
************************************************************************
*     MakeFilename. Baut aus Name und Extension den Dateinamen zusammen
*     Dr. Rainer Sieger, AWI Bremerhaven, 25.10.94                       
************************************************************************
************************************************************************

      Subroutine MakeFilename(Name,Ext,Dateiname)
      Implicit none
      Integer        NONBLK
      Character*(*)  Name, Ext, Dateiname
      Dateiname = Name(1:NONBLK(Name)) // Ext(1:NONBLK(Ext))
      END

************************************************************************
************************************************************************
*     NONBLK. Ermittelt die Lnge eines Strings ohne nachgestellte Leer-
*     zeichen.
*     Dr. Rainer Sieger, AWI Bremerhaven, 25.10.94                       
************************************************************************
************************************************************************

      Integer   Function NONBLK(Text)
      Implicit none
      Integer        i
      Character*(*)  Text
      i      = len(Text) + 1
      NONBLK = 0
      do while(i.GT.1)
        i = i - 1
        if (Text(i:i).NE.' ') then
          NONBLK = i
          i      = 0
        end if
      end do
      END    
      
***********************************************************************
************************************************************************
*     SplitFilename. Zerlegt Filename in Pfad und Name
*     Dr. Rainer Sieger, Uni Bremen, 28.1.1999                       
************************************************************************
************************************************************************

      Subroutine SplitFilename(Filename,Path,Name)
			
      Implicit none
			
      Integer        i
      Integer        p
			
      Character*(*)  Filename
      Character*(*)  Path
      Character*(*)  Name
			
      i = len(Filename) + 1
      do while(i.GT.1)
        i = i - 1
        if (Filename(i:i).EQ.'\') then
          p = i
          i = 0
        end if
      end do
			
			Path = Filename(1:p)
			Name = Filename(p+1:)
      END    
